1. Contact Request
PartnerPage API
  • Introduction
  • Authentication
  • Object Overview
  • Directory
    • Forms
      • Get all custom forms
      • Get all currency field options
      • Get all contact request form
      • Get the default contact request form
      • Create a cotact request custom form
      • Delete a contact request custom form
    • Callouts
      • Get all callouts
      • Get a callout
      • Create a new callout
      • Update a directory callout
      • Delete a directory callout
    • Badges
      • Get all badges
      • Get a badge
      • Create a badge
      • Update a badge
      • Delete a badge
    • Certifications
      • Get all certifications
      • Get a certificacion
      • Create a certification
      • Update a certification
      • Delete a certification
    • Filters
      • Filter Options
        • Get all filter options
        • Get a filter option
        • Create a filter option
        • Update a filter option
        • Deletes a filter option
      • Get all filters
      • Get a filter
      • Create a filter
      • Update a filter
      • Deletes a filter
      • Get all internal filters
      • Get all filters for external directory
    • Filter Maps
      • Get all filter option mappings
      • Get a filter option mapping
      • Create a new filter option mapping
      • Update a filter option mapping
      • Delete a filter option mapping
      • Get all filter option mappings for external directory
    • Matchmaking
      • Get all matchmaking requests
    • Tiers
      • Get all tiers
      • Get a tier
      • Create a tier
      • Update a tier
      • Delete a tier
      • Get all entries assigned to an specific tier
      • Assign or Unassign entries to an specific tier
    • Verifications
      • Get all verifications
      • Get a verification
      • Create a verification
      • Update a verification
      • Delete a verification
    • Settings
      • Retrieve the settings for a directory
      • Update the settings for a directory
    • Get all directories
      GET
    • Get a directory
      GET
    • Update a directory
      PATCH
  • Entry
    • App Entry
      • Callouts
        • Get all callouts
        • Get an entry callout
        • Create a new callout
        • Update a callout
        • Delete a callout
      • Get an app entry
      • Create new app entry
      • Update app entry
      • Delete a app entry
      • Update the recommended order of an app entry
    • Partner Entry
      • Badges
        • Get all badges
        • Get a badge
        • Create a badge
        • Update a badge
        • Delete a badge
      • Callouts
        • Get all callouts
        • Get a callout
        • Create a callout
        • Update a callout
        • Delete a callout
      • Certifications (General)
        • Get all certifications
        • Get a certification
        • Create a certification
        • Update a certification
        • Delete a certification
      • Certifications (Industry)
        • Get all industry certifications
        • Get an industry certification
        • Create an industry certification
        • Update an industry certification
        • Delete an industry certification
      • Certifications (Segment)
        • Get all segment certifications
        • Get a segment certification
        • Create a segment certification
        • Update a segment certification
        • Delete a segment certification
      • Client
        • Get all Clients
        • Get a client
        • Create a client
        • Update a client
        • Delete a client
      • Keywords
        • Get all keywords
        • Get a keyword
        • Create a keyword
        • Update keyword
        • Delete a keyword
      • Locations
        • Get all location
        • Get a location
        • Create a location
        • Update a location
        • Delete a location
      • Media
        • Get all media
        • Get a media
        • Create a media
        • Update a media
        • Delete a media
      • Resources
        • Internal
          • Get all Internal resources
          • Get an internal resource
          • Create an internal resource
          • Update an internal resource
          • Delete an internal resource
        • Get all resouces
        • Get a resource
        • Create a resource
        • Update a resource
        • Delete a resource
      • Special Offers
        • Get all special offer
        • Get a special offer
        • Create a special offer
        • Update a special offer
        • Delete a special offer
      • Testimonials
        • Internal
          • Get all internal testimonial
          • Get an internal testimonial
          • Create an internal testimonial
          • Update an internal testimonial
          • Delete an internal testimonial
        • Get all testimonials
        • Get a testimonial
        • Create a testimonial
        • Update a testimonial
        • Delete a testimonial
      • Use Cases
        • Internal
          • Get all internal use cases
          • Get an internal use cases
          • Create an internal use case
          • Update an internal use case
          • Delete an internal use case
        • Get all use cases
        • Get a use case details
        • Create a use case
        • Update a use case
        • Delete a use case
      • Verifications
        • Get all verifications
        • Get a verification
        • Create a verification
        • Update a verification
        • Delete a verification
      • Contact Information
        • Return entry contact information
      • Invite
        • Get organization matches for partner invite
        • Get partner entry owner organization invite
        • Get partner entry owner user invites
        • Invite organization to own partner entry
        • Invite users to partner entry ownership
      • Entry Edits Approval Flow
        • Partner Entry Submit Review
        • Partner Entry Approve Review
        • Partner Entry Reject Changes
        • Partner Entry Discard Review
      • Get all partner entry
      • Get a partner entry
      • Create a partner entry
      • Update a partner entry
      • Delete a partner entry
      • Update the recommended order of a partner entry
    • Get all entries
      GET
  • Contact Request
    • Get all contact requests
      GET
    • Get a contact request
      GET
    • Create a new partner contact request
      POST
  • Matchmaking
    • Get all matchmaking requests
      GET
    • Get a matchmaking request
      GET
    • Create a new matchmaking request for a directory
      POST
    • Get all partners assigned to matchmaking requests
      GET
    • Assign an owner to a matchmaking request
      PATCH
    • Replace partners to a matchmaking request
      PUT
  • Review
    • Create a review
    • Get a review
  1. Contact Request

Create a new partner contact request

POST
https://v1.api.partnerpage.io/directories/{directoryId}/entries/partners/{entryId}/contact/
Create a new partner contact request.

Request

Authorization
API Key
Add parameter in cookie
sessionid
Example:
sessionid: ********************
or
Basic Auth
Send your HTTP requests with an
Authorization
header that contains the word Basic followed by a space and a base64-encoded string username:password
Example:
Authorization: Basic *****************
or
Path Params

Body Params application/jsonRequired

Examples

Responses

🟢201
application/json
Partner contact request created successfully.
Body

🟠400
🟠404
Request Request Example
Shell
JavaScript
Java
Swift
curl --location --request POST 'https://v1.api.partnerpage.io/directories//entries/partners//contact/' \
--header 'Content-Type: application/json' \
--data-raw '{
    "first_name": "string",
    "last_name": "string",
    "email": "user@example.com",
    "phone": "string",
    "company_name": "string",
    "company_website": "string",
    "comments": "string",
    "utm_query_params": null,
    "custom_form": null
}'
Response Response Example
{
    "href": "string",
    "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
    "title": "string",
    "headline": "string",
    "type": "string",
    "slug": "string",
    "custom_slug": "string",
    "featured": true,
    "owner": {
        "property1": "string",
        "property2": "string"
    },
    "icon": "string",
    "image": "string",
    "callouts": [
        {
            "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
            "url": "http://example.com",
            "name": "string",
            "text_color": "string",
            "background_color": "string",
            "order": 0
        }
    ],
    "website": "http://example.com",
    "filters": [
        {
            "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
            "name": "string"
        }
    ],
    "assigned_filter_options": "string",
    "status": "hidden",
    "recommended_order": 0,
    "rating": 0,
    "number_of_reviews": 0,
    "number_of_reviews_by_rating": null,
    "tier": {
        "title": "string",
        "image": "string"
    },
    "description": "string",
    "integration_description": "string",
    "award": "http://example.com",
    "awards": [
        {
            "title": "string",
            "file": "string",
            "order": 0,
            "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08"
        }
    ],
    "location": "string",
    "call_to_action_url": "http://example.com",
    "call_to_action_label": "string",
    "external_url": "http://example.com",
    "certifications": "string",
    "resources": [
        {
            "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
            "title": "string",
            "url": "http://example.com",
            "file": "http://example.com",
            "order": 0
        }
    ],
    "special_offers": [
        {
            "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
            "title": "string",
            "url": "http://example.com",
            "file": "http://example.com",
            "order": 0
        }
    ],
    "clients": [
        {
            "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
            "title": "string",
            "url": "http://example.com",
            "file": "http://example.com",
            "order": 0
        }
    ],
    "testimonials": [
        {
            "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
            "author_name": "string",
            "position": "string",
            "company_name": "string",
            "testimonial_text": "string",
            "order": 0
        }
    ],
    "use_cases": [
        {
            "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
            "title": "string",
            "description": "string"
        }
    ],
    "accreditations": [
        {
            "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
            "title": "string",
            "number_of_certified_individuals": 0,
            "file": "http://example.com",
            "order": 0
        }
    ],
    "keywords": [
        {
            "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
            "name": "string"
        }
    ],
    "verifications": [
        {
            "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
            "title": "string"
        }
    ],
    "badges": [
        {
            "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
            "title": "string",
            "image": "string"
        }
    ],
    "media": [
        {
            "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
            "title": "string",
            "description": "string",
            "url": "http://example.com",
            "file": "http://example.com",
            "order": 0,
            "pdf_file_thumbnail_url": "string",
            "type": "string"
        }
    ],
    "case_studies": [
        {
            "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
            "title": "string",
            "description": "string",
            "url": "http://example.com",
            "file": "http://example.com",
            "pdf_file_thumbnail_url": "string",
            "order": 0,
            "type": "string"
        }
    ],
    "locations": [
        {
            "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
            "order": 0,
            "country": 0,
            "country_name": "string",
            "region": 0,
            "region_name": "string",
            "city": 0,
            "city_name": "string"
        }
    ],
    "tracking": {
        "umami_website_id": "318b39c9-b9a6-4f45-a66c-876182a646d4"
    },
    "support_email": "string",
    "developer_name": "string",
    "availability": true,
    "modified": "string"
}
Modified at 2026-04-13 17:03:07
Previous
Get a contact request
Next
Get all matchmaking requests
Built with